Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001331 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Error 2020-04-01 09:14 2020-06-04 08:41
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Geoff Clare
Organization The Open Group
User Reference
Section pax
Page Number 3082, 3084
Line Number 102809, 102881
Interp Status ---
Final Accepted Text
Summary 0001331: pax atime and mtime keyword descriptions should refer to st_atim and st_mtim
Description When the standard was updated to support finegrained timestamps, a change to pax was missed where it refers to the st_atime and st_mtime members of the stat structure but should now refer to st_atim and st_mtim.

Since the text uses the word "member" and there are no stat structure members called st_atime and st_mtime, it is not possible to misinterpret the text as referring somehow to the st_atime and st_mtime macros, and so this should be treated as a minor editorial error.

(There is also a reference to an "st_mtime field" in the ar RATIONALE section, but I believe that one should not be changed as it is describing the historical 4.4BSD ar format, and the 4.4BSD stat structure had an st_mtime member, not an st_mtim member.)
Desired Action On page 3082 line 102809 section pax, change:
the st_atime member
to:
the st_atim member

On page 3084 line 102881 section pax, change:
the st_mtime member
to:
the st_mtim member
Tags tc3-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2020-04-01 09:14 geoffclare New Issue
2020-04-01 09:14 geoffclare Name => Geoff Clare
2020-04-01 09:14 geoffclare Organization => The Open Group
2020-04-01 09:14 geoffclare Section => pax
2020-04-01 09:14 geoffclare Page Number => 3082, 3084
2020-04-01 09:14 geoffclare Line Number => 102809, 102881
2020-04-01 09:14 geoffclare Interp Status => ---
2020-04-30 15:57 Don Cragun Status New => Resolved
2020-04-30 15:57 Don Cragun Resolution Open => Accepted
2020-04-30 15:57 Don Cragun Tag Attached: tc3-2008
2020-06-04 08:41 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker